function detectAngle = BoxToAngle(boxes,imgSize,horFov,vertFov,alfa,labels) 
    %Převod boundary Boxu [x y width height] na uhel 
    %In 20x4  box x [x y width height]
    
%%  získání z labesl pouze auta
 carBBoxes=zeros(20,4);

 % použity BDD-100k labels
    for i = 1:size(boxes,1)
        switch labels(i,1)
             case 3
                carBBoxes(i,1:4) = boxes(i,1:4);
        end
    end

    %% odstranění detekce vlastního auta
    %pokud bude šírka větší než 1500 px tak smaž řádek
    for i=1:size(carBBoxes,1)
        if carBBoxes(i,3) > (imgSize(1)/1.2)
            carBBoxes(i,:)=0;
        end
    end
    carBBoxes = carBBoxes(any(carBBoxes,2),:);

    %% Přepočet ke středu a vzdalenosti ke krajům
    midleOfBoxes = [(carBBoxes(:,1)) (carBBoxes(:,2))]; 
    toBondary = [(carBBoxes(:,3)/2) (carBBoxes(:,4)/2)]; %délka od středu ke kraji[x_diff y_diff]

    %% out = [midHor° midVert° maxHort° maxVert° leftBBoxPx rightBBoxPx]
    detectAngle = zeros(size(midleOfBoxes,1),6);

    detectAngle(:,1) = (midleOfBoxes(:,1) .* horFov / imgSize(1)) - (horFov/2);
    detectAngle(:,2) = (midleOfBoxes(:,2) .* vertFov / imgSize(2)) - (vertFov/2);

    detectAngle(:,3) =  (toBondary(:,1) .* horFov / imgSize(1));
    detectAngle(:,4) =  (toBondary(:,2) .* vertFov / imgSize(2));

    detectAngle(:,5) = carBBoxes(:,1)-(carBBoxes(:,3)/2);
    detectAngle(:,6) = carBBoxes(:,1)+(carBBoxes(:,3)/2);

    detectAngle(:,1) = detectAngle(:,1) + alfa; % jak je otočená kamera o proti lidaru
  
end